Categories:
  - Sports & Health
License: Apache-2.0
SourceCode: https://github.com/j4velin/Pedometer
IssueTracker: https://github.com/j4velin/Pedometer/issues
Donate: https://www.j4velin.de/donate.php

AutoName: Pedometer
Description: |-
    Lightweight pedometer using the hardware step-sensor for minimal battery
    consumption. This app is designed to be kept running all the time without having
    any impact on your battery life! It uses the hardware step detection sensor of
    the Nexus 5, which is already running even when not using any pedometer app.
    Therefore the app does not drain any additional battery. Unlike other pedometer
    apps, this app does not track your movement or your location so it doesn't need
    to turn on your GPS sensor (again: no impact on your battery).

RepoType: git
Repo: https://github.com/j4velin/Pedometer

Builds:
  - versionName: '1.4'
    versionCode: 140
    commit: 3c65680da9898d4c915e7228945e493ccbcc6588
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/playCompile/d' build.gradle
      - touch key.properties
      - sed -i -e '/debug {/,+4d' build.gradle

  - versionName: 1.4.1
    versionCode: 141
    commit: 4210a51c61ed168b79512037c1333bdbcb1dedbe
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/playCompile/d' build.gradle
      - touch key.properties
      - sed -i -e '/debug {/,+4d' build.gradle

  - versionName: 1.4.3
    versionCode: 143
    commit: 83cfaae2faf044c508e3af3cc883b4e3ff04ea2a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/playCompile/d' build.gradle
      - touch key.properties
      - sed -i -e '/debug {/,+4d' build.gradle

  - versionName: 1.4.9
    versionCode: 149
    disable: compilation failed
    commit: f99688b406a65427bdbebfdb572a6a0d863a2ceb
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/playCompile/d' build.gradle
      - touch key.properties
      - sed -i -e '/debug {/,+4d' build.gradle
      - sed -i -e 's/23.0.0 rc3/23.0.3/g' build.gradle

  - versionName: '1.5'
    versionCode: 150
    commit: 539eec1d4b52a06e4e63fefe11909954a02cd0cc
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/playCompile/d' build.gradle
      - touch key.properties
      - sed -i -e '/debug {/,+4d' build.gradle

  - versionName: 1.5.1
    versionCode: 151
    commit: 2f3b46cc9c5df55da3f6ceb61ccaa6ff0e9d6dcf
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/playCompile/d' build.gradle
      - touch key.properties
      - sed -i -e '/debug {/,+4d' build.gradle

  - versionName: 1.5.3
    versionCode: 153
    commit: 1.5.3
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/playCompile/d' build.gradle
      - touch key.properties
      - sed -i -e '/debug {/,+4d' build.gradle

  - versionName: 1.5.8
    versionCode: 158
    commit: 1.5.8
    gradle:
      - fdroid
    prebuild: sed -i -e '/playImplementation/d' build.gradle

  - versionName: 1.5.11
    versionCode: 1511
    commit: 1.5.11
    gradle:
      - fdroid
    prebuild: sed -i -e '/playImplementation/d' build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 1.5.11
CurrentVersionCode: 1511
